Method: projects.locations.experiments.affectedResources.list

Lists all cloud resources that are being or were affected by a specific Experiment. This method is useful for seeing the scope of an Experiment and the status of each resource involved.

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*/experiments/*}/affectedResources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The experiment from which to list affected resources. Format: projects/{projectId}/locations/{location}/experiments/{experimentId}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of affected resources to return. Fault Injection Testing may return fewer. If unspecified, at most 1000 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token received from a previous list call, used to retrieve the subsequent page.

When paginating, all other parameters provided to affectedResources.list must match the call that provided the page token.

filter

string

Optional. A filter expression to restrict the affected resources returned. Follows https://google.aip.dev/160 and supports all fields.

Request body

The request body must be empty.

Response body

Response message for FaultTesting.ListAffectedResources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "affectedResources": [
    {
      object (AffectedResource)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
affectedResources[]

object (AffectedResource)

The affected resources from the specified experiment, ordered from newest to oldest based on creation time.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.affectedResources.list

For more information, see the IAM documentation.